package com.ruoyi.project.ehs.service.impl;


import com.ruoyi.project.ehs.domain.TJobticket;
import com.ruoyi.project.ehs.mapper.TJobticketMapper;
import com.ruoyi.project.ehs.service.ITJobticketService;
import org.apache.commons.collections.CollectionUtils;
import org.apache.poi.xwpf.usermodel.*;
import org.apache.xmlbeans.XmlCursor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 工作票Service业务层处理
 *
 * @author ruoyi
 * @date 2020-12-01
 */
@Service
public class TJobticketServiceImpl implements ITJobticketService
{
    @Autowired
    private TJobticketMapper tJobticketMapper;

    /**
     * 查询工作票
     *
     * @param id 工作票ID
     * @return 工作票
     */
    @Override
    public TJobticket selectTJobticketById(Long id)
    {
        return tJobticketMapper.selectTJobticketById(id);
    }

    /**
     * 查询工作票列表
     *
     * @param tJobticket 工作票
     * @return 工作票
     */
    @Override
    public List<TJobticket> selectTJobticketList(TJobticket tJobticket)
    {
        return tJobticketMapper.selectTJobticketList(tJobticket);
    }

    /**
     * 新增工作票
     *
     * @param tJobticket 工作票
     * @return 结果
     */
    @Override
    public int insertTJobticket(TJobticket tJobticket)
    {
        return tJobticketMapper.insertTJobticket(tJobticket);
    }

    /**
     * 修改工作票
     *
     * @param tJobticket 工作票
     * @return 结果
     */
    @Override
    public int updateTJobticket(TJobticket tJobticket)
    {
        return tJobticketMapper.updateTJobticket(tJobticket);
    }

    /**
     * 批量删除工作票
     *
     * @param ids 需要删除的工作票ID
     * @return 结果
     */
    @Override
    public int deleteTJobticketByIds(Long[] ids)
    {
        return tJobticketMapper.deleteTJobticketByIds(ids);
    }

    /**
     * 删除工作票信息
     *
     * @param id 工作票ID
     * @return 结果
     */
    @Override
    public int deleteTJobticketById(Long id)
    {
        return tJobticketMapper.deleteTJobticketById(id);
    }

    /**
     * 查询是否重复记录数
     *
     * @param tJobticket
     * @return 结果
     */
    @Override
    public int selectTJobticketSameData(TJobticket tJobticket) {
        return tJobticketMapper.selectTJobticketSameData(tJobticket);
    }

}
